# Generated by Django 3.1.2 on 2020-11-01 22:43

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("regulace_konopi", "0001_initial"),
    ]

    operations = [
        migrations.AlterField(
            model_name="regkonsubpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "title",
                        wagtail.blocks.CharBlock(icon="title", label="nadpis"),
                    ),
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            label="text",
                        ),
                    ),
                    (
                        "carousel",
                        wagtail.blocks.ListBlock(
                            wagtail.images.blocks.ImageChooserBlock(label="obrázek"),
                            icon="image",
                            label="carousel",
                        ),
                    ),
                    (
                        "FAQ",
                        wagtail.blocks.ListBlock(
                            wagtail.blocks.StructBlock(
                                [
                                    ("question", wagtail.blocks.TextBlock()),
                                    ("answer", wagtail.blocks.RichTextBlock()),
                                ],
                                template="regulace_konopi/blocks/faq.html",
                            ),
                            label="faq",
                        ),
                    ),
                    (
                        "meps",
                        wagtail.blocks.StructBlock(
                            [
                                ("name", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "mep",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "name",
                                                    wagtail.blocks.CharBlock(
                                                        label="jméno"
                                                    ),
                                                ),
                                                (
                                                    "approved",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            (1, "Pro"),
                                                            (0, "Proti"),
                                                            (-1, "Zdržel se"),
                                                        ],
                                                        label="hlasoval",
                                                    ),
                                                ),
                                            ]
                                        )
                                    ),
                                ),
                            ],
                            template="regulace_konopi/blocks/party.html",
                        ),
                    ),
                ],
                blank=True,
                verbose_name="obsah stránky",
            ),
        ),
    ]
